Subject: Re: link failures with bpf_map_xxx_elem_proto calls from net/core/filiter.c

From: Daniel Borkmann <[email-masked]>
Date: Thu, 05 Mar 2015 20:04:05 +0100

On 03/04/2015 09:42 AM, Or Gerlitz wrote:
> Hi Daniel,
>
> With net-next (and probably net or Linus tree too), I am getting these link failures
>
> net/built-in.o:(.rodata+0x2210): undefined reference to `bpf_map_lookup_elem_proto'
> net/built-in.o:(.rodata+0x2218): undefined reference to `bpf_map_update_elem_proto'
> net/built-in.o:(.rodata+0x2220): undefined reference to `bpf_map_delete_elem_proto'
>
> which are resolved when CONFIG_BPF_SYSCALL is added to the kernel config, I see now t hat this 4.0-rc1 commit d4052c4aea0cf "ebpf: remove CONFIG_BPF_SYSCALL ifdefs in socket filter code" removed the ifdefing, not sure what does "BPF internal header can deal with it" means.

Sorry, I was travelling whole day yesterday.

Will send out a patch today.

Thanks,
Daniel